pcl::registration::ConvergenceCriteria Class Referenceabstract
Module registration

ConvergenceCriteria represents an abstract base class for different convergence criteria used in registration loops. More...

`#include <pcl/registration/convergence_criteria.h>`

Inheritance diagram for pcl::registration::ConvergenceCriteria:

## Public Types

typedef boost::shared_ptr< ConvergenceCriteria > | Ptr
typedef boost::shared_ptr< const ConvergenceCriteria > | ConstPtr

## Public Member Functions

| ConvergenceCriteria ()
| Empty constructor. More...
virtual | ~ConvergenceCriteria ()
| Empty destructor. More...
virtual bool | hasConverged ()=0
| Check if convergence has been reached. More...
| operator bool ()
| Bool operator. More...

## Detailed Description

ConvergenceCriteria represents an abstract base class for different convergence criteria used in registration loops.

This should be used as part of an Iterative Closest Point (ICP)-like method, to verify if the algorithm has reached convergence.

Typical convergence criteria that could inherit from this include:

- a maximum number of iterations has been reached
- the transformation (R, t) cannot be further updated (the difference between current and previous is smaller than a threshold)
- the Mean Squared Error (MSE) between the current set of correspondences and the previous one is smaller than some threshold

Author
  Radu B. Rusu

Definition at line 64 of file convergence_criteria.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr<const ConvergenceCriteria> pcl::registration::ConvergenceCriteria::ConstPtr

Definition at line 68 of file convergence_criteria.h.

## Ptr

typedef boost::shared_ptr<ConvergenceCriteria> pcl::registration::ConvergenceCriteria::Ptr

Definition at line 67 of file convergence_criteria.h.

## Constructor & Destructor Documentation

## ConvergenceCriteria()

pcl::registration::ConvergenceCriteria::ConvergenceCriteria | ( |  | ) |

inline

Empty constructor.

Definition at line 71 of file convergence_criteria.h.

## ~ConvergenceCriteria()

virtual pcl::registration::ConvergenceCriteria::~ConvergenceCriteria | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 74 of file convergence_criteria.h.

## Member Function Documentation

## hasConverged()

virtual bool pcl::registration::ConvergenceCriteria::hasConverged | ( |  | ) |

pure virtual

Check if convergence has been reached.

Pure virtual.

Implemented in pcl::registration::DefaultConvergenceCriteria< Scalar >, and pcl::registration::DefaultConvergenceCriteria< float >.

## operator bool()

pcl::registration::ConvergenceCriteria::operator bool | ( |  | ) |

inline

Bool operator.

Definition at line 81 of file convergence_criteria.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/registration/include/pcl/registration/convergence_criteria.h